#
# spec file for package ocaml-ocamlgraph
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-ocamlgraph
Version:        2.1.0
Release:        1.3
%{?ocaml_preserve_bytecode}
Summary:        Graph library for OCaml
License:        LGPL-2.1
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/ocamlgraph
Source:         %name-%version.tar.xz
BuildRequires:  ocaml(ocaml_base_version) >= 4.08
BuildRequires:  ocaml-dune >= 2.0
BuildRequires:  ocaml-rpm-macros >= 20230101
BuildRequires:  ocamlfind(stdlib-shims)
BuildRequires:  ocamlfind(graphics)

%description
OCamlgraph is a graph library for Objective Caml.

%package devel
Summary:        Development files for the OcamlGraph graph library
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description devel
OCamlgraph is a graph library for Objective Caml.

This package contains development files for %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='ocamlgraph'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Sat Sep  9 2023 ohering@suse.de
- Update to version 2.1.0
  See included CHANGES.md for details
* Thu Jan 21 2021 ohering@suse.de
- Update to version 2.0.0
* Thu Feb 20 2020 ohering@suse.de
- Require current ocaml-rpm-macros
- Use _service file
- Build with dune
* Wed Apr 18 2018 jengelh@inai.de
- Update summaries
* Wed Apr 18 2018 andy@onthewings.net
- Remove old code in the spec file.
- Install LICENSE with %%license.
* Fri Dec 22 2017 antoine.belvire@opensuse.org
- Update to version 1.8.8:
  * Fix installation.
  * Safe-string compatible.
  * Fix method get_edge_layout of class abstract_model of
    DGraphModel.Make. The bug could have occured when there are
    several edges between two vertices.
  * [Traverse/Pack] added Dfs.fold and Dfs.fold_component
    (tail-recursive).
  * Fix implementation of Golberg-Tarjan maximal flow algorithm:
    + No more function min_capacity in the input interface.
    + Renaming as follows: Flow.Goldberg -> Flow.Goldberg_Tarjan
    and Pack.goldberg -> Pack.goldberg_tarjan.
  * New functors [WeakTopological] and [ChaoticIteration] to
    compute fixpoints with widening, following Bourdoncle's
    algorithms.
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Thu Jul 20 2017 olaf@aepfle.de
- Upgrade to version 1.8.7
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Sun Dec 25 2016 antoine.belvire@opensuse.org
- Initial package: ocaml-ocamlgrah-1.8.6
